Bug 477091 - When I
When I
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.4
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 20:34 EST by Jae-Sung Park
Modified: 2011-03-15 10:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 01:50:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
I think it explain what the bug is. (2.60 KB, text/plain)
2008-12-18 20:37 EST, Jae-Sung Park
no flags Details

  None (edit)
Description Jae-Sung Park 2008-12-18 20:34:39 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.4) Gecko/2008110510 Red Hat/3.0.4-1.el5 Firefox/3.0.4

I saved a bug. It says:

Component: pirut
Summary: TBcb614d27 httplib.py:300:_read_status:BadStatusLine

Traceback (most recent call last):
  File "/usr/sbin/pup", line 617, in ?
    main()
  File "/usr/sbin/pup", line 609, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 84, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 137, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 118, in doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 183, in _getConfig
    self.plugins.run('init')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 169, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/rhnplugin.py", line 110, in init_hook
    login_info = up2dateAuth.getLoginInfo()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 211, in getLoginInfo
    login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 178, in login
    li = server.up2date.login(systemId)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 50, in __call__
    return rpcServer.doCall(method, *args, **kwargs)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 194, in doCall
    ret = method(*args, **kwargs)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 38, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 319, in _request
    request, verbose=self._verbose)
  File "/usr/lib/python2.4/site-packages/rhn/transports.py", line 170, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.4/site-packages/rhn/transports.py", line 697, in send_http
    self._connection.connect()
  File "/usr/lib/python2.4/site-packages/rhn/connections.py", line 226, in connect
    response = HTTPConnection.getresponse(self)
  File "/usr/lib/python2.4/site-packages/rhn/connections.py", line 124, in getresponse
    response.begin()
  File "/usr/lib/python2.4/site-packages/rhn/connections.py", line 199, in begin
    HTTPResponse.begin(self)
  File "/usr/lib64/python2.4/httplib.py", line 336, in begin
    version, status, reason = self._read_status()
  File "/usr/lib64/python2.4/httplib.py", line 300, in _read_status
    raise BadStatusLine(line)
BadStatusLine

Local variables in innermost frame:
line: 
self: <rhn.connections.HTTPSProxyResponse instance at 0x1ab

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Jae-Sung Park 2008-12-18 20:37:40 EST
Created attachment 327399 [details]
I think it explain what the bug is.
Comment 2 James Antill 2009-03-25 01:50:04 EDT
RHN acting weird ... I assume this is no longer happeneing (and didn't happen much even then).

Note You need to log in before you can comment on or make changes to this bug.